/*
 * Copyright (C) 2015 by Multi-Tech Systems
 *
 * This file is part of libmts.
 *
 * libmts is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * libmts is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libmts.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

/*! \file   MTS_NonCopyable.h
 \brief  Disables Copying
 \date   May 7, 2012
 \author Sean Godinez

 Prevents this class from being copied by anyone
 */
#ifndef _MTS_NONCOPYABLE_H_
#define _MTS_NONCOPYABLE_H_

namespace MTS {

    class NonCopyable {
        protected:
            NonCopyable() {
            }
            ~NonCopyable() {
            }
        private:
            // Do Not Allow Use of Copy Constructor or Assignment Operator
            NonCopyable(const NonCopyable&);
            const NonCopyable& operator=(const NonCopyable&);
    };

}

#endif /* _MTS_NONCOPYABLE_H_ */
