/*
 * Copyright (C) 2015 by Multi-Tech Systems
 *
 * This file is part of libmts.
 *
 * libmts is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * libmts is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with libmts.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#include <mts/MTS_Object.h>
#include <sstream>
#include <typeinfo>

using namespace MTS;

Object::Object() {
}

Object::~Object() {
}

std::string Object::toString() const {
    return std::string("MTS::Object");
}

std::string Object::toIDD() const {
    std::stringstream ss;
    ss << typeid(*this).name() << "@" << reinterpret_cast<const void*>(this);
    return ss.str().erase(0, 6);
}
